Skip to navigation

Get Countries

Retrieve a list of countries along with their corresponding details. This includes their ISO codes, capital, currency, as well as the various services supported within the country such as Wallet, Store Locator, Gift Cards, and Litt Visa. It also details the verification method and whether OTP is required for transactions.

Request Body

No field requirement.

Response

Each object in the response array consists of the following:

  • id (Integer): The unique identifier assigned to the country.

  • name (String): The country’s recognized name.

  • iso3 (String): The ISO 3166-1 alpha-3 code for the country.

  • code (String): The country’s standard abbreviation.

  • phonecode (Integer): The country’s international phone code.

  • capital (String): The country’s capital city.

  • currency (String): The country’s official currency.

  • verification_method (String): The preferred method of verification for the country which may take the form of either ‘sms’ or ‘whatsapp’.

  • support_store_locator (Boolean): Indicates whether the store locator service is supported in the country. Returns ‘1’ if supported, otherwise ‘0’.

  • support_gift_cards (Boolean): Indicates whether gift card services are supported in the country. Returns ‘1’ if supported, otherwise ‘0’.

  • support_wallet (Boolean): Indicates if the wallet service is supported in the country. Returns ‘1’ if supported, otherwise ‘0’.

  • support_payout (Boolean): Indicates if the payout service is supported in the country, Returns ‘1’ if supported, otherwise ‘0’.

  • support_litt_visa (Boolean): Indicates if the LITT VISA service is supported in the country. Returns ‘1’ if supported, otherwise ‘0’.

  • require_otp (Boolean): Details whether OTP is required for transactions in the country. Returns ‘1’ if required, otherwise ‘0’.

Response

Get Countries
messagestringOptional
apistringOptional
statusstringOptional
datalist of objectsOptional